Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2442)
@@ -54,65 +54,95 @@
  * The abstract Corpus class.
  */
 public abstract class CorpusBuild extends TXMResult {
-
-	@Parameter(key=TBXPreferences.ID)
+	
+	@Parameter(key = TBXPreferences.ID)
 	protected String pID;
-
+	
 	public static final String TEXT = "text";
+	
 	public static final String TEXTS = "texts";
+	
 	public static final String BIBLIO = "biblio";
+	
 	public static final String PDF = "pdf";
+	
 	public static final String SOURCE = "source";
+	
 	public static final String TYPE = "type";
+	
 	public static final String FILE = "file";
+	
 	public static final String EDITIONS = "editions";
+	
 	public static final String EDITION = "edition";
+	
 	public static final String NAME = "name";
+	
 	public static final String LANG = "lang";
+	
 	public static final String WORDSPERPAGE = "wordsperpage";
+	
 	public static final String DOEDITIONSTEP = "doeditionstep";
+	
 	public static final String AVOIDXMLSTEPS = "avoidxmlsteps";
+	
 	public static final String CLEANTEMPDIRS = "cleantempdirectories";
+	
 	public static final String CORPUS = "corpus";
+	
 	public static final String CORPORA = "corpora";
+	
 	public static final String ID = "id";
+	
 	public static final String DEFAULT = "default";
-
+	
 	/** The importmetadatas. */
-	public ArrayList<Metadata> importmetadatas = new ArrayList<Metadata>();
-	public ArrayList<MetadataGroup> groupedMetadatas = new ArrayList<MetadataGroup>();
-
+	public ArrayList<Metadata> importmetadatas = new ArrayList<>();
+	
+	public ArrayList<MetadataGroup> groupedMetadatas = new ArrayList<>();
+	
 	/** The p attribute info names. */
-	private static String[] attributeInfoNames = {ID, "shortname", "longname", TYPE, "renderer", "tooltip", "pattern", "import", "mandatory", "inputFormat", "outputFormat"};
-	private HashMap<String, HashMap<String, String>> pPAttributesInformations = new HashMap<String, HashMap<String,String>>();
-	private HashMap<String, HashMap<String, String>> pSAttributesInformations = new HashMap<String, HashMap<String,String>>();
-
-	private ArrayList<String> refProperties = new ArrayList<String>();
-	private ArrayList<String> sortProperties = new ArrayList<String>();
-	private ArrayList<String> viewProperties = new ArrayList<String>();
-
-	private HashMap<String, Alignement> links = new HashMap<String, Alignement>();
-
-	@Parameter(key=TBXPreferences.DESCRIPTION)
+	private static String[] attributeInfoNames = { ID, "shortname", "longname", TYPE, "renderer", "tooltip", "pattern", "import", "mandatory", "inputFormat", "outputFormat" };
+	
+	private HashMap<String, HashMap<String, String>> pPAttributesInformations = new HashMap<>();
+	
+	private HashMap<String, HashMap<String, String>> pSAttributesInformations = new HashMap<>();
+	
+	private ArrayList<String> refProperties = new ArrayList<>();
+	
+	private ArrayList<String> sortProperties = new ArrayList<>();
+	
+	private ArrayList<String> viewProperties = new ArrayList<>();
+	
+	private HashMap<String, Alignement> links = new HashMap<>();
+	
+	@Parameter(key = TBXPreferences.DESCRIPTION)
 	private String pDescription;
-
+	
 	// The default properties to use
-	@Parameter(key=TBXPreferences.REF_PROPERTY)
+	@Parameter(key = TBXPreferences.REF_PROPERTY)
 	private String pDefaultRefProperty;
-	@Parameter(key=TBXPreferences.SORT_PROPERTY)
+	
+	@Parameter(key = TBXPreferences.SORT_PROPERTY)
 	private String pDefaultSortProperty;
-	@Parameter(key=TBXPreferences.VIEW_PROPERTY)
+	
+	@Parameter(key = TBXPreferences.VIEW_PROPERTY)
 	private String pDefaultViewProperty;
-
+	
 	private int pageSize;
+	
 	private boolean doEditionStep;
+	
 	private boolean avoidXMLSteps;
+	
 	private boolean cleanTempDirs;
-
+	
 	protected String cql_limit_query = "<text>[]"; // read only
+	
 	protected int conc_left_context = 8; // read only
+	
 	protected int conc_right_context = 12; // read only
-
+	
 	/**
 	 * Instantiates a new root corpus.
 	 *
@@ -120,19 +150,23 @@
 	 */
 	public CorpusBuild(Project project) {
 		super(project);
-		this.internalPersistable = true;
-
-		//		this.name = name;
-		//		this.persistable = true;
-		//		this.userPersistable = false;
-		//		if(base != null && c != null) {
-		//			this.project = project;
-		//			this.setPath(base.getPath() + getName());
-		//			setSelfElement(c);
-		//			_load();
-		//		}
+		
+		// this.name = name;
+		// this.persistable = true;
+		// this.userPersistable = false;
+		// if(base != null && c != null) {
+		// this.project = project;
+		// this.setPath(base.getPath() + getName());
+		// setSelfElement(c);
+		// _load();
+		// }
 	}
-
+	
+	@Override
+	public boolean isInternalPersistable() {
+		return true;
+	}
+	
 	/**
 	 * Instantiates a new sub corpus
 	 * 
@@ -140,7 +174,6 @@
 	 */
 	public CorpusBuild(CorpusBuild corpus2) {
 		super(corpus2);
-		this.internalPersistable = true;
 	}
 	
 	/**
@@ -150,16 +183,14 @@
 	 */
 	public CorpusBuild(Partition partition) {
 		super(partition);
-		this.internalPersistable = true;
 	}
-
+	
 	/**
 	 * 
 	 * @param parametersNodePath
 	 */
 	public CorpusBuild(String parametersNodePath) {
 		super(parametersNodePath);
-		this.internalPersistable = true;
 	}
 	
 	public String getID() {
@@ -181,15 +212,15 @@
 	public String getCQLLimitQuery() {
 		return cql_limit_query;
 	}
-
+	
 	public int getDefaultConcordanceLeftContextSize() {
 		return conc_left_context;
 	}
-
+	
 	public int getDefaultConcordanceRightContextSize() {
 		return conc_right_context;
 	}
-
+	
 	/**
 	 * Gets the queries log.
 	 *
@@ -199,34 +230,34 @@
 	public List<SavedQuery> getQueriesLog() {
 		return (List<SavedQuery>) getChildren(SavedQuery.class);
 	}
-
-//	/**
-//	 * Adds Texts from a directory of sources.
-//	 *
-//	 * @param directory the directory
-//	 * @return true, if successful
-//	 */
-//	public boolean addDirectory(File directory) {
-//		FileFilter filter = new FileFilter() {
-//			@Override
-//			public boolean	accept(File pathname) {
-//				return !pathname.isHidden();
-//			}
-//		};
-//		if (directory.isDirectory() && directory.exists()) {
-//			File[] files = directory.listFiles(filter);
-//			Arrays.sort(files);
-//			for (File f : files) {
-//				Text t = new Text(this.getProject());
-//				t.setSourceFile(f);
-//			}
-//		} else {
-//			System.out.println(directory + " is not a directory.");
-//			return false;
-//		}
-//		return true;
-//	}
 	
+	// /**
+	// * Adds Texts from a directory of sources.
+	// *
+	// * @param directory the directory
+	// * @return true, if successful
+	// */
+	// public boolean addDirectory(File directory) {
+	// FileFilter filter = new FileFilter() {
+	// @Override
+	// public boolean accept(File pathname) {
+	// return !pathname.isHidden();
+	// }
+	// };
+	// if (directory.isDirectory() && directory.exists()) {
+	// File[] files = directory.listFiles(filter);
+	// Arrays.sort(files);
+	// for (File f : files) {
+	// Text t = new Text(this.getProject());
+	// t.setSourceFile(f);
+	// }
+	// } else {
+	// System.out.println(directory + " is not a directory.");
+	// return false;
+	// }
+	// return true;
+	// }
+	
 	/**
 	 * 
 	 * @return the corpus language. Override this method to set another lang. eg for parallel corpus
@@ -234,81 +265,80 @@
 	public String getLang() {
 		return getProject().getLang();
 	}
-
-//	/**
-//	 * Adds the text.
-//	 *
-//	 * @param file the file
-//	 * @return the text
-//	 */
-//	public Text addText(File file) {
-//		if (texts.containsKey(file.getName()))
-//			return texts.get(file.getName());
-//
-//		String filename = file.getName();
-//		int idx = filename.lastIndexOf(".");
-//		String txtname = filename;
-//		if(idx > 0)
-//			txtname = filename.substring(0, idx);
-//
-//		Document doc = getSelfElement().getOwnerDocument();
-//		Element textRoot = (Element) getSelfElement().getElementsByTagName(TEXTS).item(0); //$NON-NLS-1$
-//		Element textElem = doc.createElement(TEXT); 
-//		textElem.setAttribute(NAME, txtname); 
-//		textElem.setAttribute(BIBLIO, ""); //$NON-NLS-1$
-//		textElem.setAttribute(PDF, ""); //$NON-NLS-1$
-//		Element src = doc.createElement(SOURCE); 
-//		src.setAttribute(TYPE, filename.substring(idx+1)); 
-//		src.setAttribute(FILE, file.getAbsolutePath()); 
-//
-//		textElem.appendChild(src);
-//		Element editions = doc.createElement(EDITIONS);
-//		textElem.appendChild(editions);
-//		textRoot.appendChild(textElem);
-//
-//		Text t = new Text(this, textElem);
-//		if (texts.keySet().contains(txtname)) {
-//			System.out.println("Warning corpus configuration file contains texts with the same ID: "+txtname+" (next ones are ignored).");
-//			return null;
-//		}
-//		texts.put(txtname, t);
-//		textnames.add(t.getName());
-//		return t;
-//	}
-//
-//	/**
-//	 * Removes the text.
-//	 *
-//	 * @param name the name
-//	 * @return the text
-//	 */
-//	public Text removeText(String name) {
-//		Text text = texts.get(name);
-//
-//		if (text != null) {
-//			Element textRoot = (Element) getSelfElement().getElementsByTagName(
-//					TEXTS).item(0); //$NON-NLS-1$
-//			textRoot.removeChild(text.getSelfElement());
-//			texts.remove(name);
-//			textnames.remove(name);
-//		}
-//		return text;
-//	}
-
-	/* 
+	
+	// /**
+	// * Adds the text.
+	// *
+	// * @param file the file
+	// * @return the text
+	// */
+	// public Text addText(File file) {
+	// if (texts.containsKey(file.getName()))
+	// return texts.get(file.getName());
+	//
+	// String filename = file.getName();
+	// int idx = filename.lastIndexOf(".");
+	// String txtname = filename;
+	// if(idx > 0)
+	// txtname = filename.substring(0, idx);
+	//
+	// Document doc = getSelfElement().getOwnerDocument();
+	// Element textRoot = (Element) getSelfElement().getElementsByTagName(TEXTS).item(0); //$NON-NLS-1$
+	// Element textElem = doc.createElement(TEXT);
+	// textElem.setAttribute(NAME, txtname);
+	// textElem.setAttribute(BIBLIO, ""); //$NON-NLS-1$
+	// textElem.setAttribute(PDF, ""); //$NON-NLS-1$
+	// Element src = doc.createElement(SOURCE);
+	// src.setAttribute(TYPE, filename.substring(idx+1));
+	// src.setAttribute(FILE, file.getAbsolutePath());
+	//
+	// textElem.appendChild(src);
+	// Element editions = doc.createElement(EDITIONS);
+	// textElem.appendChild(editions);
+	// textRoot.appendChild(textElem);
+	//
+	// Text t = new Text(this, textElem);
+	// if (texts.keySet().contains(txtname)) {
+	// System.out.println("Warning corpus configuration file contains texts with the same ID: "+txtname+" (next ones are ignored).");
+	// return null;
+	// }
+	// texts.put(txtname, t);
+	// textnames.add(t.getName());
+	// return t;
+	// }
+	//
+	// /**
+	// * Removes the text.
+	// *
+	// * @param name the name
+	// * @return the text
+	// */
+	// public Text removeText(String name) {
+	// Text text = texts.get(name);
+	//
+	// if (text != null) {
+	// Element textRoot = (Element) getSelfElement().getElementsByTagName(
+	// TEXTS).item(0); //$NON-NLS-1$
+	// textRoot.removeChild(text.getSelfElement());
+	// texts.remove(name);
+	// textnames.remove(name);
+	// }
+	// return text;
+	// }
+	
+	/*
 	 * Load Text from a XML DOM Element -> retro compatibility of import.xml file
-	 * 
-	 * Texts&Queries are created in 
+	 * Texts&Queries are created in
 	 */
 	protected boolean _load(Element e) {
 		if (e == null) return false;
-
+		
 		this.userName = e.getAttribute(NAME);
-		this.pID = e.getAttribute(NAME); 
-//		this.pLanguage = e.getAttribute(LANG);
+		this.pID = e.getAttribute(NAME);
+		// this.pLanguage = e.getAttribute(LANG);
 		// System.out.println("LOAD BASE "+this.name);
 		loadImportInfos(e);
-
+		
 		// get texts
 		NodeList textsNodes = e.getElementsByTagName(TEXTS);
 		if (textsNodes.getLength() > 0) {
@@ -318,15 +348,15 @@
 				Element textElement = (Element) textsList.item(i);
 				Text t = new Text(this.getProject());
 				t._load(textElement);
-//				if (texts.keySet().contains(t.getName())) {
-//					System.out.println("Warning "+this.name+" corpus configuration file contains duplicates with ID="+t.getName()+" (next ones are ignored).");
-//				} else {
-//					texts.put(t.getName(), t);
-//					textnames.add(t.getName());
-//				}
+				// if (texts.keySet().contains(t.getName())) {
+				// System.out.println("Warning "+this.name+" corpus configuration file contains duplicates with ID="+t.getName()+" (next ones are ignored).");
+				// } else {
+				// texts.put(t.getName(), t);
+				// textnames.add(t.getName());
+				// }
 			}
 		}
-
+		
 		// get saved queries
 		if (e.getElementsByTagName("queries").getLength() > 0) { //$NON-NLS-1$
 			Element queriesElement = (Element) e.getElementsByTagName("queries").item(0); //$NON-NLS-1$
@@ -335,115 +365,116 @@
 				Element qelem = (Element) queryList.item(i);
 				SavedQuery q = new SavedQuery(this);
 				q.setParameters(qelem);
-				//this.queries.put(q.getName(), q);
+				// this.queries.put(q.getName(), q);
 			}
 		}
-
-		//loadImportInfos(getSelfElement());
 		
+		// loadImportInfos(getSelfElement());
+		
 		return true;
 	}
-
-//	/**
-//	 * Adds the query log.
-//	 *
-//	 * @param query the query
-//	 * @param examples the examples
-//	 * @return the query log
-//	 */
-//	public SavedQuery addQueryLog(String query, List<String> examples) {
-//		if (queries.containsKey(query))
-//			return queries.get(query);
-//		if (getSelfElement() == null) return null;
-//
-//		SavedQuery q = new SavedQuery(this);
-//		q.setParameter(query, examples);
-//
-//		// q.selfElement = ;
-//		Document doc = getSelfElement().getOwnerDocument();
-//		Element queriesRoot;
-//		if (getSelfElement().getElementsByTagName("queries").getLength() == 0) //$NON-NLS-1$
-//		{
-//			queriesRoot = doc.createElement("queries"); //$NON-NLS-1$
-//			getSelfElement().appendChild(queriesRoot);
-//		} else
-//			queriesRoot = (Element) getSelfElement()
-//			.getElementsByTagName("queries").item(0); //$NON-NLS-1$
-//
-//		Element queryElem = doc.createElement("query"); //$NON-NLS-1$
-//		queryElem.setAttribute(NAME, q.getName()); 
-//		queryElem.setAttribute("query", q.getQuery()); //$NON-NLS-1$
-//		Element examplesElem = doc.createElement("examples"); //$NON-NLS-1$
-//		queryElem.appendChild(examplesElem);
-//		for (String ex : q.getExamples()) {
-//			Element exampleElem = doc.createElement("example"); //$NON-NLS-1$
-//			exampleElem.setTextContent(ex);
-//			examplesElem.appendChild(exampleElem);
-//		}
-//
-//		queriesRoot.appendChild(queryElem);
-//		queries.put(q.getName(), q);
-//		return q;
-//	}
-//
-//	/**
-//	 * Removes the query.
-//	 *
-//	 * @param name the name
-//	 * @return the query log
-//	 */
-//	public SavedQuery removeQuery(String name) {
-//		SavedQuery query = queries.get(name);
-//
-//		if (query != null) {
-//			Element queriesRoot = (Element) getSelfElement().getElementsByTagName(
-//					"queries").item(0); //$NON-NLS-1$
-//			queriesRoot.removeChild(query.getSelfElement());
-//			queries.remove(name);
-//		}
-//		return query;
-//	}
-
-	//	/* (non-Javadoc)
-	//	 * @see org.txm.objects.TxmObject#removeChildren(org.txm.objects.TxmObject)
-	//	 */
-	//	public TxmObject removeChildren(TxmObject o) {
-	//		if (o == null)
-	//			return null;
-	//		if (o instanceof Text) {
-	//			textsElement.removeChild(o.getSelfElement());
-	//			textnames.remove(((Text) o).getName());
-	//			return texts.remove(((Text) o).getName());
-	//		} else if (o instanceof SavedQuery) {
-	//			queriesElement.removeChild(o.getSelfElement());
-	//			return queries.remove(((SavedQuery) o).getName());
-	//		}
-	//		return null;
-	//	}
-
-
-//
-//	/**
-//	 * Register maincorpus.
-//	 *
-//	 * @param corpusName the corpus name
-//	 */
-//	public Element registerMaincorpus(String corpusName) {
-//		Document doc = getSelfElement().getOwnerDocument();
-//		Element maincorpus = doc.createElement(CORPUS);
-//		maincorpus.setAttribute(NAME, corpusName);
-//		if (getSelfElement().getElementsByTagName(CORPORA).getLength() == 0) {
-//			Log.severe(TXMCoreMessages.Base_22);
-//			return null;
-//		}
-//		Element corporaElem = (Element) getSelfElement().getElementsByTagName(CORPORA).item(0);
-//		corporaElem.appendChild(maincorpus); // append maincorpus
-//		return maincorpus;
-//	}
-
+	
+	// /**
+	// * Adds the query log.
+	// *
+	// * @param query the query
+	// * @param examples the examples
+	// * @return the query log
+	// */
+	// public SavedQuery addQueryLog(String query, List<String> examples) {
+	// if (queries.containsKey(query))
+	// return queries.get(query);
+	// if (getSelfElement() == null) return null;
+	//
+	// SavedQuery q = new SavedQuery(this);
+	// q.setParameter(query, examples);
+	//
+	// // q.selfElement = ;
+	// Document doc = getSelfElement().getOwnerDocument();
+	// Element queriesRoot;
+	// if (getSelfElement().getElementsByTagName("queries").getLength() == 0) //$NON-NLS-1$
+	// {
+	// queriesRoot = doc.createElement("queries"); //$NON-NLS-1$
+	// getSelfElement().appendChild(queriesRoot);
+	// } else
+	// queriesRoot = (Element) getSelfElement()
+	// .getElementsByTagName("queries").item(0); //$NON-NLS-1$
+	//
+	// Element queryElem = doc.createElement("query"); //$NON-NLS-1$
+	// queryElem.setAttribute(NAME, q.getName());
+	// queryElem.setAttribute("query", q.getQuery()); //$NON-NLS-1$
+	// Element examplesElem = doc.createElement("examples"); //$NON-NLS-1$
+	// queryElem.appendChild(examplesElem);
+	// for (String ex : q.getExamples()) {
+	// Element exampleElem = doc.createElement("example"); //$NON-NLS-1$
+	// exampleElem.setTextContent(ex);
+	// examplesElem.appendChild(exampleElem);
+	// }
+	//
+	// queriesRoot.appendChild(queryElem);
+	// queries.put(q.getName(), q);
+	// return q;
+	// }
+	//
+	// /**
+	// * Removes the query.
+	// *
+	// * @param name the name
+	// * @return the query log
+	// */
+	// public SavedQuery removeQuery(String name) {
+	// SavedQuery query = queries.get(name);
+	//
+	// if (query != null) {
+	// Element queriesRoot = (Element) getSelfElement().getElementsByTagName(
+	// "queries").item(0); //$NON-NLS-1$
+	// queriesRoot.removeChild(query.getSelfElement());
+	// queries.remove(name);
+	// }
+	// return query;
+	// }
+	
+	// /* (non-Javadoc)
+	// * @see org.txm.objects.TxmObject#removeChildren(org.txm.objects.TxmObject)
+	// */
+	// public TxmObject removeChildren(TxmObject o) {
+	// if (o == null)
+	// return null;
+	// if (o instanceof Text) {
+	// textsElement.removeChild(o.getSelfElement());
+	// textnames.remove(((Text) o).getName());
+	// return texts.remove(((Text) o).getName());
+	// } else if (o instanceof SavedQuery) {
+	// queriesElement.removeChild(o.getSelfElement());
+	// return queries.remove(((SavedQuery) o).getName());
+	// }
+	// return null;
+	// }
+	
+	
+	//
+	// /**
+	// * Register maincorpus.
+	// *
+	// * @param corpusName the corpus name
+	// */
+	// public Element registerMaincorpus(String corpusName) {
+	// Document doc = getSelfElement().getOwnerDocument();
+	// Element maincorpus = doc.createElement(CORPUS);
+	// maincorpus.setAttribute(NAME, corpusName);
+	// if (getSelfElement().getElementsByTagName(CORPORA).getLength() == 0) {
+	// Log.severe(TXMCoreMessages.Base_22);
+	// return null;
+	// }
+	// Element corporaElem = (Element) getSelfElement().getElementsByTagName(CORPORA).item(0);
+	// corporaElem.appendChild(maincorpus); // append maincorpus
+	// return maincorpus;
+	// }
+	
 	public boolean export(File exportzip) {
 		return export(exportzip, null);
 	}
+	
 	/**
 	 * Export.
 	 *
@@ -455,39 +486,39 @@
 		if (binarydir.exists() && exportzip.getParentFile().exists()) {
 			try {
 				Zip.compress(binarydir, exportzip, monitor);
-			} catch (IOException e) {
+			}
+			catch (IOException e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return false;
 			}
 			return true;
-		} else {
+		}
+		else {
 			System.out.println(NLS.bind(TXMCoreMessages.binaryDirectoryP0NotFound, binarydir));
 			System.out.println(NLS.bind(TXMCoreMessages.parentDirectoryP0NotFound, exportzip.getParentFile()));
-
+			
 		}
 		return false;
 	}
-
+	
 	/**
 	 * Gets the import metadata.
 	 *
 	 * @return the import metadata
 	 */
-	public ArrayList<Metadata> getImportMetadata()
-	{
+	public ArrayList<Metadata> getImportMetadata() {
 		return importmetadatas;
 	}
-
+	
 	/**
 	 * Gets the import metadata.
 	 *
 	 * @return the import metadata
 	 */
-	public ArrayList<MetadataGroup> getMetadataGroups()
-	{
+	public ArrayList<MetadataGroup> getMetadataGroups() {
 		return groupedMetadatas;
 	}
-
+	
 	/**
 	 * Load import infos.
 	 *
@@ -496,7 +527,7 @@
 	 */
 	private boolean loadImportInfos(Element root) {
 		// import general infos
-		//System.out.println("load import infos: "+root);
+		// System.out.println("load import infos: "+root);
 		this.getProject().setEncoding(root.getAttribute("encoding"));
 		this.getProject().setLang(root.getAttribute(LANG));
 		String str = root.getAttribute(WORDSPERPAGE);
@@ -511,75 +542,77 @@
 		str = root.getAttribute(CLEANTEMPDIRS);
 		if (str == null || str.length() == 0) str = "false";
 		this.cleanTempDirs = "true".equals(str);
-		//this.srcdir = root.getAttribute("rootdir");
-		//this.script = root.getAttribute("script");
-		//this.xslt = root.getAttribute("xslt");
+		// this.srcdir = root.getAttribute("rootdir");
+		// this.script = root.getAttribute("script");
+		// this.xslt = root.getAttribute("xslt");
 		this.pDescription = root.getAttribute("desc");
 		this.getProject().setFont(root.getAttribute("font"));
-
-		//tokenizer infos
+		
+		// tokenizer infos
 		/*
-		NodeList tokenizerNodes = root.getElementsByTagName("tokenizer");
-		if (tokenizerNodes.getLength() > 0)
-		{
-			Element tokenizerNode = (Element) tokenizerNodes.item(0);
-			NodeList tokenizerparamNodes = tokenizerNode.getElementsByTagName("param");
-		}
+		 * NodeList tokenizerNodes = root.getElementsByTagName("tokenizer");
+		 * if (tokenizerNodes.getLength() > 0)
+		 * {
+		 * Element tokenizerNode = (Element) tokenizerNodes.item(0);
+		 * NodeList tokenizerparamNodes = tokenizerNode.getElementsByTagName("param");
+		 * }
 		 */
-
-		//Pattributes definitions
+		
+		// Pattributes definitions
 		NodeList pAttributesNodes = root.getElementsByTagName("pattributes");
 		pPAttributesInformations.clear();
 		if (pAttributesNodes.getLength() > 0) { // only one
 			Element pattributesNode = (Element) pAttributesNodes.item(0);
 			NodeList pattributeNodes = pattributesNode.getElementsByTagName("pattribute");
-			for (int i = 0 ; i < pattributeNodes.getLength() ; i++) {
-				Element pattribute = (Element)pattributeNodes.item(i);
-				HashMap<String, String> values = new HashMap<String, String>();
+			for (int i = 0; i < pattributeNodes.getLength(); i++) {
+				Element pattribute = (Element) pattributeNodes.item(i);
+				HashMap<String, String> values = new HashMap<>();
 				pPAttributesInformations.put(pattribute.getAttribute(ID), values);
-
+				
 				for (String name : attributeInfoNames) {
 					if (pattribute.getAttribute(name) != null) {
 						values.put(name, pattribute.getAttribute(name));
-					} else {
+					}
+					else {
 						values.put(name, "");
 					}
 				}
 			}
 		}
-
-		//Sattributes definitions
+		
+		// Sattributes definitions
 		NodeList sAttributesNodes = root.getElementsByTagName("sattributes");
 		pSAttributesInformations.clear();
 		if (sAttributesNodes.getLength() > 0) {
 			Element sattributesNode = (Element) sAttributesNodes.item(0);
 			NodeList sattributeNodes = sattributesNode.getElementsByTagName("sattribute");
-			for (int i = 0 ; i < sattributeNodes.getLength() ; i++) {
-				Element sattribute = (Element)sattributeNodes.item(i);
-				HashMap<String, String> values = new HashMap<String, String>();
+			for (int i = 0; i < sattributeNodes.getLength(); i++) {
+				Element sattribute = (Element) sattributeNodes.item(i);
+				HashMap<String, String> values = new HashMap<>();
 				pSAttributesInformations.put(sattribute.getAttribute(ID), values);
-
+				
 				for (String name : attributeInfoNames) {
 					if (sattribute.getAttribute(name) != null) {
 						values.put(name, sattribute.getAttribute(name));
-					} else {
+					}
+					else {
 						values.put(name, "");
 					}
 				}
 			}
 		}
-		//System.out.println("sAttributes Infos : "+sAttributesInfos);
-
-		//Metadata definitions
+		// System.out.println("sAttributes Infos : "+sAttributesInfos);
+		
+		// Metadata definitions
 		importmetadatas.clear();
 		groupedMetadatas.clear();
-
-		//UI: sort, view and ref properties to show
+		
+		// UI: sort, view and ref properties to show
 		NodeList uisNodes = root.getElementsByTagName("uis");
 		if (uisNodes.getLength() > 0) { // only one
 			Element uisElem = (Element) uisNodes.item(0);
 			NodeList uiNodes = uisElem.getElementsByTagName("ui");
-			for (int c = 0 ; c < uiNodes.getLength() ; c++) {
+			for (int c = 0; c < uiNodes.getLength(); c++) {
 				Element uiElem = (Element) uiNodes.item(c);
 				if ("concordance".equals(uiElem.getAttribute("command").toLowerCase())) {
 					NodeList viewsNodes = uiElem.getElementsByTagName("view");
@@ -587,42 +620,48 @@
 					if (viewsNodes.getLength() > 0) { // only one
 						Element viewNode = (Element) viewsNodes.item(0);
 						this.pDefaultViewProperty = viewNode.getAttribute(DEFAULT);
-						for (int i = 0 ; i < viewNode.getChildNodes().getLength() ; i++) {
+						for (int i = 0; i < viewNode.getChildNodes().getLength(); i++) {
 							try {
-								Element element = (Element)viewNode.getChildNodes().item(i);
+								Element element = (Element) viewNode.getChildNodes().item(i);
 								viewProperties.add(element.getAttribute(ID));
-							} catch(Exception e){} // quick and dirty
+							}
+							catch (Exception e) {
+							} // quick and dirty
 						}
 					}
-
+					
 					NodeList sortsNodes = uiElem.getElementsByTagName("sort");
 					sortProperties.clear();
 					if (sortsNodes.getLength() > 0) { // only one
 						Element sortNode = (Element) sortsNodes.item(0);
 						this.pDefaultSortProperty = sortNode.getAttribute(DEFAULT);
-						for (int i = 0 ; i < sortNode.getChildNodes().getLength() ; i++) {
+						for (int i = 0; i < sortNode.getChildNodes().getLength(); i++) {
 							try {
-								Element element = (Element)sortNode.getChildNodes().item(i);
+								Element element = (Element) sortNode.getChildNodes().item(i);
 								sortProperties.add(element.getAttribute(ID));
-							} catch(Exception e){} // quick and dirty
+							}
+							catch (Exception e) {
+							} // quick and dirty
 						}
 					}
-
+					
 					NodeList refsNodes = uiElem.getElementsByTagName("ref");
 					refProperties.clear();
 					if (refsNodes.getLength() > 0) { // only one
 						Element refNode = (Element) refsNodes.item(0);
 						this.pDefaultRefProperty = refNode.getAttribute(DEFAULT);
-						for (int i = 0 ; i < refNode.getChildNodes().getLength() ; i++) {
+						for (int i = 0; i < refNode.getChildNodes().getLength(); i++) {
 							try {
-								Element element = (Element)refNode.getChildNodes().item(i);
+								Element element = (Element) refNode.getChildNodes().item(i);
 								refProperties.add(element.getAttribute(ID));
-							} catch (Exception e){} // quick and dirty
+							}
+							catch (Exception e) {
+							} // quick and dirty
 						}
 					}
-
+					
 					NodeList cqlLimitNodes = uiElem.getElementsByTagName("context_limits");
-					//cql_limit_query = null;
+					// cql_limit_query = null;
 					if (cqlLimitNodes.getLength() > 0) { // only one node
 						Element context_limitsNode = (Element) cqlLimitNodes.item(0);
 						cql_limit_query = context_limitsNode.getTextContent();
@@ -631,50 +670,53 @@
 							String[] split = cql_limit_query.split(",");
 							if (split.length > 0) {
 								for (String s : split) {
-									query += "|<"+s.trim()+">[]";
+									query += "|<" + s.trim() + ">[]";
 								}
 								cql_limit_query = query.substring(1);
 							}
 						}
 					}
-
+					
 					NodeList cqlCtxSizeNodes = uiElem.getElementsByTagName("context_sizes");
-					//cql_limit_query = null;
+					// cql_limit_query = null;
 					if (cqlCtxSizeNodes.getLength() > 0) { // only one node
 						Element context_limitsNode = (Element) cqlCtxSizeNodes.item(0);
 						try {
 							conc_left_context = Integer.parseInt(context_limitsNode.getAttribute("left"));
 							conc_right_context = Integer.parseInt(context_limitsNode.getAttribute("right"));
-						} catch(Exception e) {
-							System.out.println("In uis/ui@command=concordance/context_sizes: context sizes number malformed: "+e);
 						}
+						catch (Exception e) {
+							System.out.println("In uis/ui@command=concordance/context_sizes: context sizes number malformed: " + e);
+						}
 					}
-				} else if ("selection".equals(uiElem.getAttribute("command").toLowerCase())) {
+				}
+				else if ("selection".equals(uiElem.getAttribute("command").toLowerCase())) {
 					NodeList sattributeNodes = uiElem.getElementsByTagName("sattribute");
-					for (int i = 0 ; i < sattributeNodes.getLength() ; i++) {
-						Element sattributeElem = (Element)sattributeNodes.item(i);
+					for (int i = 0; i < sattributeNodes.getLength(); i++) {
+						Element sattributeElem = (Element) sattributeNodes.item(i);
 						String ref = sattributeElem.getAttribute("ref");
-						//String id = ref.substring(5);
+						// String id = ref.substring(5);
 						HashMap<String, String> infos = pSAttributesInformations.get(ref);
 						if (infos == null) {
-							Log.warning("Malformed sattribute tag at uis/command/selection: could not find s-attribute informations for @ref="+ref);
+							Log.warning("Malformed sattribute tag at uis/command/selection: could not find s-attribute informations for @ref=" + ref);
 						}
-						//System.out.println("REF: "+ref+" infos: "+infos);
+						// System.out.println("REF: "+ref+" infos: "+infos);
 						if (infos != null) {
 							if (ref.startsWith("text_")) {
-								//System.out.println("TEST: "+infos.get("type")+" =? 'Date'");
+								// System.out.println("TEST: "+infos.get("type")+" =? 'Date'");
 								if (infos.get(TYPE).equals("Date")) {
 									importmetadatas.add(new DateMetadata(infos, sattributeElem));
-								} else {
+								}
+								else {
 									importmetadatas.add(new Metadata(infos, sattributeElem));
 								}
 							}
 						}
 					}
-					//System.out.println("Load groups: "+importmetadatas);
+					// System.out.println("Load groups: "+importmetadatas);
 					NodeList groupNodes = uiElem.getElementsByTagName("group");
-					for (int i = 0 ; i < groupNodes.getLength() ; i++) {
-						Element groupElem = (Element)groupNodes.item(i);
+					for (int i = 0; i < groupNodes.getLength(); i++) {
+						Element groupElem = (Element) groupNodes.item(i);
 						if (groupElem.getAttribute(TYPE).equals("MinMaxDate")) {
 							groupedMetadatas.add(new MinMaxDateGroup(this, groupElem));
 						}
@@ -682,7 +724,7 @@
 				}
 			}
 		}
-
+		
 		// get available editions
 		NodeList editionsNodes = root.getElementsByTagName(EDITIONS);
 		if (editionsNodes.getLength() > 0) { // only one
@@ -692,8 +734,8 @@
 			this.getProject().setDefaultEditionName(editionNode.getAttribute(DEFAULT));
 			
 			NodeList editionNodes = editionNode.getElementsByTagName(EDITION);
-			for (int i = 0 ; i < editionNodes.getLength() ; i++) {
-				Element edition = (Element)editionNodes.item(i);
+			for (int i = 0; i < editionNodes.getLength(); i++) {
+				Element edition = (Element) editionNodes.item(i);
 				String name = edition.getAttribute(NAME);
 				String built = edition.getAttribute("build_edition");
 				if (built == null || built.length() == 0) built = "true";
